package com.example.jcef;

public enum KeyEnum {

    F1(112),
    F2(113),
    F3(114),
    F4(115),
    F5(116),
    F6(117),
    F7(118),
    F8(119),
    F9(120),
    F10(121),
    F11(122),
    F12(123),
    ESC(27),
    TAB(9),
    CAPSLOCK(20),
    SHIFT(16),
    CTRL(17),
    START_LEFT(91),
    START_RIGHT(92),
    CONTEXT_MENU(93),
    ALT(18),
    SPACE(32),
    CARRIAGE_RETURN(13),
    LINE_FEED(10),
    BACK_SLASH(220),
    BACK_SPACE(8),
    INSERT(45),
    DEL(46),
    HOME(36),
    END(35),
    PAGE_UP(33),
    PAGE_DOWN(34),
    PRINT_SCREEN(44),
    SCR_LK(145),
    PAUSE(19),
    LEFT_ARROW_KEY(37),
    UP_ARROW_KEY(38),
    RIGHT_ARROW_KEY(39),
    DOWN_ARROW_KEY(40),
    MOD_ALT(1),
    MOD_CONTROL(2),
    MOD_SHIFT(4),
    MOD_WIN(8);

    private int value;

    KeyEnum(int value) {
        this.value = value;
    }

    public int value() {
        return value;
    }
}
